Bug 845636 - Write error due to full socket buffer is treated as fatal
Summary: Write error due to full socket buffer is treated as fatal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openconnect
Version: el6
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-03 16:43 UTC by Murilo Opsfelder Araujo
Modified: 2012-09-21 20:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 20:54:41 UTC


Attachments (Terms of Use)

Description Murilo Opsfelder Araujo 2012-08-03 16:43:29 UTC
Description of problem:
openconnect terminates the VPN abruptaly.

Version-Release number of selected component (if applicable):
openconnect-4.00-2.el6.x86_64

How reproducible:


Steps to Reproduce:
1.  Connect to VPN;
2.  Try to download, for instance, a huge CVS tree from a VPN server.
3.
  
Actual results:
openconnect terminates the VPN with messages:

Jul 26 15:01:19 host openconnect[31571]: SSL wrote too few bytes! Asked for 1375, sent 0
Jul 26 15:01:19 host openconnect[31571]: Send BYE packet: Internal error
Jul 26 15:01:19 host openconnect[31571]: SSL_write failed: 1
Jul 26 15:01:19 host openconnect[31571]: 139641621817192:error:1409F07F:SSL routines:SSL3_WRITE_PENDING:bad write retry:s3_pkt.c:826:

Expected results:
openconnect should not terminate.

Additional info:

Comment 1 Murilo Opsfelder Araujo 2012-08-03 16:45:02 UTC
This patch solves the issue:

http://git.infradead.org/users/dwmw2/openconnect.git/commit/fddb099d9f6c25d5500b176d6523818bd683bbae

Comment 2 Fedora Update System 2012-08-31 23:11:06 UTC
openconnect-4.07-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openconnect-4.07-2.fc18

Comment 3 Fedora Update System 2012-08-31 23:29:00 UTC
openconnect-4.07-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openconnect-4.07-1.fc17

Comment 4 Fedora Update System 2012-08-31 23:39:15 UTC
openconnect-4.07-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/openconnect-4.07-1.el5

Comment 5 Fedora Update System 2012-08-31 23:39:30 UTC
openconnect-4.07-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openconnect-4.07-1.el6

Comment 6 Fedora Update System 2012-09-01 17:24:22 UTC
Package openconnect-4.07-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openconnect-4.07-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-12788/openconnect-4.07-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-09-17 22:46:29 UTC
openconnect-4.07-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-09-19 03:07:31 UTC
openconnect-4.07-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-09-21 20:54:41 UTC
openconnect-4.07-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-09-21 20:55:52 UTC
openconnect-4.07-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.